;; -*- Lisp -*-

(defpackage #:xml-psychiatrist-system
  (:use #:common-lisp #:asdf))

(in-package #:xml-psychiatrist-system)

(defsystem xml-psychiatrist
  :author "Peter Scott"
  :licence "LLGPL"
  :version "0.2"
  :components ((:file "xmls-utilities")
	       (:file "package" :depends-on ("xmls-utilities"))
	       (:file "matcher" :depends-on ("package"))
	       (:file "utilities" :depends-on ("package"))
	       (:file "tag" :depends-on ("package" "utilities" "matcher"))
	       (:file "attr" :depends-on ("package" "utilities" "matcher"))
	       (:file "misc-matchers" :depends-on ("package" "utilities" "matcher")))
  :depends-on (:xmls :cl-ppcre))